(window.webpackJsonp=window.webpackJsonp||[]).push([[43],{"./flow-runner/components/contextbar/ContextBarView.tsx":function(e,t,o){"use strict";o.r(t);var n=o("../../node_modules/react/index.js"),a=o.n(n),s=o("../../node_modules/styled-components/dist/styled-components.browser.esm.js"),i=o("../../node_modules/@postman/aether/esmLib/index.js"),r=o("./runtime-repl/_common/components/molecule.js"),l=o("../../node_modules/mobx/lib/mobx.module.js"),c=o("../../node_modules/mobx-react/dist/mobx-react.module.js"),d=o("./appsdk/contextbar/ContextBarViewHeader.js"),p=function(e,t,o,n){var a,s=arguments.length,i=s<3?t:null===n?n=Object.getOwnPropertyDescriptor(t,o):n;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)i=Reflect.decorate(e,t,o,n);else for(var r=e.length-1;r>=0;r--)(a=e[r])&&(i=(s<3?a(i):s>3?a(t,o,i):a(t,o))||i);return s>3&&i&&Object.defineProperty(t,o,i),i},m=function(e,t,o,n){return new(o||(o=Promise))((function(a,s){function i(e){try{l(n.next(e))}catch(e){s(e)}}function r(e){try{l(n.throw(e))}catch(e){s(e)}}function l(e){var t;e.done?a(e.value):(t=e.value,t instanceof o?t:new o((function(e){e(t)}))).then(i,r)}l((n=n.apply(e,t||[])).next())}))};const u=pm.logger.getContext("frontend:content-bar","flows"),h=s.default.div`
  padding: ${({theme:e})=>e["spacing-zero"]} ${({theme:e})=>e["spacing-s"]};
  `,f=s.default.div`
  padding: ${({theme:e})=>e["spacing-l"]} ${({theme:e})=>e["spacing-s"]};
  gap: ${({theme:e})=>e["spacing-xs"]};
  display: flex;
  flex-direction: column;
  font-size: ${({theme:e})=>e["text-size-m"]};
  line-height: ${({theme:e})=>e["line-height-m"]};

  .documentation-editor-dropdown {
    display: none;
  }

`;let w=class extends n.Component{constructor(){super(...arguments),this.editMode=!1,this.snapshotDownloading=!1}setEditMode(e){this.editMode=e}downloadSnapshot(){return m(this,void 0,void 0,(function*(){try{Object(l.runInAction)((()=>{this.snapshotDownloading=!0})),yield this.props.contextData.model.downloadSnapShot()}catch(e){pm.logger.error("ContextBarView~downloadSnapshot",e,{context:u}),Object(i.toast)({title:"Failed to create snapshot",status:"error"})}finally{Object(l.runInAction)((()=>{this.snapshotDownloading=!1}))}}))}render(){const{onClose:e}=this.props,{id:t,model:o}=this.props.contextData;return a.a.createElement(i.Flex,{direction:"column"},a.a.createElement(d.ContextBarViewHeader,{title:"Flow details",onClose:()=>e()}),a.a.createElement(h,null,a.a.createElement(r.EntityMetaInfoView,{userFriendlyEntityName:"flow",info:{id:t}})),a.a.createElement(f,null,a.a.createElement(i.TextArea,{placeholder:"Enter summary for flow",value:o.flowDescription,onChange:e=>{o.updateFlowDescription(e.target.value)},label:a.a.createElement(i.Label,{text:"Summary"}),isDisabled:o.isReadOnly,maxLength:140})),a.a.createElement(i.Flex,{direction:"column",padding:"spacing-zero spacing-s",gap:"spacing-s"},a.a.createElement(i.Flex,{direction:"column"},a.a.createElement(i.Label,{text:"Snapshot"}),a.a.createElement(i.Text,{type:"body-medium",color:"content-color-secondary"},"A snapshot is a representation of your flow that you can send to our support team to seek help or report a bug in Flows")),a.a.createElement(i.Flex,null,a.a.createElement(i.Button,{type:"outline",onClick:()=>this.downloadSnapshot(),size:"small",text:"Save Snapshot",isLoading:this.snapshotDownloading}))))}};p([l.observable],w.prototype,"editMode",void 0),p([l.observable],w.prototype,"snapshotDownloading",void 0),p([l.action],w.prototype,"setEditMode",null),w=p([c.observer],w),t.default=w}}]);